#include <math.h>

void getRBParamIsoRadiusJacobianOPT (
  double young,
  double shear,
  double radw,
  double radh,
  double hL0,
  double *iniMatTanRB,
  double *iniMatNorRB,
  double *iniRefTanRO,
  double *iniRefNorRO,
  double rtx,
  double *rotationAnglesRB,
  double *ex,
  double thetax,
  double *isoradiusJacobian)
{
  double t10;
  double t100;
  double t101;
  double t1012;
  double t1016;
  double t102;
  double t1020;
  double t1024;
  double t1027;
  double t1032;
  double t1035;
  double t104;
  double t1045;
  double t1048;
  double t105;
  double t1052;
  double t1056;
  double t1058;
  double t106;
  double t1062;
  double t1067;
  double t107;
  double t1072;
  double t108;
  double t1081;
  double t1093;
  double t11;
  double t110;
  double t1107;
  double t1110;
  double t112;
  double t1121;
  double t1126;
  double t113;
  double t1139;
  double t1145;
  double t1158;
  double t116;
  double t1172;
  double t118;
  double t1180;
  double t1183;
  double t1197;
  double t12;
  double t1202;
  double t1211;
  double t122;
  double t1220;
  double t1229;
  double t1242;
  double t125;
  double t128;
  double t1288;
  double t1294;
  double t13;
  double t1300;
  double t1303;
  double t1307;
  double t1313;
  double t1317;
  double t132;
  double t1323;
  double t1327;
  double t133;
  double t1333;
  double t1341;
  double t1346;
  double t135;
  double t1358;
  double t137;
  double t1371;
  double t138;
  double t1383;
  double t1386;
  double t139;
  double t1397;
  double t1398;
  double t1399;
  double t14;
  double t1408;
  double t1412;
  double t1419;
  double t142;
  double t1427;
  double t143;
  double t1430;
  double t1433;
  double t1439;
  double t144;
  double t145;
  double t1451;
  double t1452;
  double t1459;
  double t1466;
  double t147;
  double t1470;
  double t1472;
  double t1475;
  double t1482;
  double t1486;
  double t1488;
  double t149;
  double t1491;
  double t1494;
  double t1497;
  double t1499;
  double t15;
  double t1501;
  double t1507;
  double t1512;
  double t1518;
  double t152;
  double t1523;
  double t1529;
  double t1537;
  double t154;
  double t1542;
  double t1554;
  double t1567;
  double t1579;
  double t158;
  double t1582;
  double t1593;
  double t16;
  double t1604;
  double t161;
  double t1615;
  double t1623;
  double t1629;
  double t1635;
  double t166;
  double t1667;
  double t1668;
  double t1671;
  double t1675;
  double t1677;
  double t1682;
  double t1684;
  double t1688;
  double t1693;
  double t1699;
  double t17;
  double t1711;
  double t1725;
  double t1737;
  double t174;
  double t1740;
  double t175;
  double t1751;
  double t1762;
  double t1773;
  double t178;
  double t1781;
  double t1788;
  double t1795;
  double t18;
  double t1837;
  double t184;
  double t1840;
  double t1847;
  double t1857;
  double t189;
  double t19;
  double t199;
  double t2;
  double t20;
  double t205;
  double t21;
  double t215;
  double t217;
  double t22;
  double t221;
  double t222;
  double t223;
  double t224;
  double t225;
  double t227;
  double t228;
  double t229;
  double t23;
  double t231;
  double t232;
  double t235;
  double t236;
  double t237;
  double t239;
  double t24;
  double t240;
  double t241;
  double t243;
  double t244;
  double t247;
  double t249;
  double t250;
  double t254;
  double t256;
  double t257;
  double t26;
  double t262;
  double t265;
  double t266;
  double t269;
  double t271;
  double t273;
  double t277;
  double t28;
  double t280;
  double t281;
  double t283;
  double t29;
  double t291;
  double t294;
  double t296;
  double t299;
  double t3;
  double t300;
  double t301;
  double t302;
  double t303;
  double t305;
  double t306;
  double t310;
  double t312;
  double t313;
  double t316;
  double t317;
  double t319;
  double t320;
  double t323;
  double t325;
  double t326;
  double t331;
  double t333;
  double t334;
  double t335;
  double t339;
  double t341;
  double t343;
  double t35;
  double t351;
  double t354;
  double t356;
  double t359;
  double t364;
  double t368;
  double t369;
  double t373;
  double t377;
  double t379;
  double t381;
  double t385;
  double t391;
  double t392;
  double t394;
  double t396;
  double t4;
  double t404;
  double t410;
  double t413;
  double t416;
  double t418;
  double t422;
  double t424;
  double t43;
  double t431;
  double t433;
  double t434;
  double t439;
  double t443;
  double t446;
  double t45;
  double t452;
  double t456;
  double t46;
  double t463;
  double t465;
  double t466;
  double t469;
  double t47;
  double t471;
  double t472;
  double t473;
  double t48;
  double t483;
  double t486;
  double t488;
  double t49;
  double t493;
  double t498;
  double t499;
  double t5;
  double t50;
  double t501;
  double t509;
  double t510;
  double t511;
  double t514;
  double t517;
  double t52;
  double t521;
  double t522;
  double t524;
  double t527;
  double t53;
  double t532;
  double t533;
  double t537;
  double t540;
  double t545;
  double t55;
  double t550;
  double t554;
  double t559;
  double t565;
  double t569;
  double t573;
  double t577;
  double t58;
  double t581;
  double t582;
  double t587;
  double t593;
  double t594;
  double t6;
  double t600;
  double t604;
  double t607;
  double t61;
  double t617;
  double t618;
  double t62;
  double t624;
  double t63;
  double t630;
  double t634;
  double t64;
  double t640;
  double t65;
  double t67;
  double t68;
  double t69;
  double t693;
  double t698;
  double t7;
  double t700;
  double t701;
  double t704;
  double t707;
  double t71;
  double t710;
  double t711;
  double t717;
  double t72;
  double t720;
  double t725;
  double t730;
  double t738;
  double t74;
  double t741;
  double t746;
  double t747;
  double t750;
  double t751;
  double t755;
  double t758;
  double t761;
  double t766;
  double t771;
  double t78;
  double t782;
  double t787;
  double t795;
  double t8;
  double t80;
  double t808;
  double t81;
  double t812;
  double t815;
  double t819;
  double t827;
  double t83;
  double t832;
  double t837;
  double t84;
  double t848;
  double t856;
  double t86;
  double t869;
  double t871;
  double t872;
  double t88;
  double t886;
  double t89;
  double t894;
  double t9;
  double t90;
  double t909;
  double t91;
  double t913;
  double t917;
  double t918;
  double t921;
  double t93;
  double t930;
  double t939;
  double t944;
  double t949;
  double t95;
  double t96;
  double t960;
  double t963;
  double t971;
  double t98;
  t2 = radw * radw;
  t3 = radh * radh;
  t4 = t2 + t3;
  t5 = shear * radh * M_PI;
  t6 = t5 * t4;
  t15 = ex[0];
  t7 = t15 * t15;
  t18 = ex[1];
  t8 = t18 * t18;
  t21 = ex[2];
  t9 = t21 * t21;
  t10 = t7 + t8 + t9;
  t11 = sqrt(t10);
  t12 = 0.1e1 / t11;
  t13 = t12 * t18;
  t24 = iniRefTanRO[0];
  t14 = t24 * t12;
  t16 = 0.1e1 * t14 * t15;
  t26 = iniRefTanRO[1];
  t17 = t26 * t12;
  t19 = 0.1e1 * t17 * t18;
  t28 = iniRefTanRO[2];
  t20 = t28 * t12;
  t22 = 0.1e1 * t21 * t20;
  t23 = t16 + t19 + t22;
  t29 = 0.1e1 * t17 * t21 - 0.1e1 * t20 * t18;
  t35 = 0.1e1 * t20 * t15 - 0.1e1 * t14 * t21;
  t43 = 0.1e1 * t14 * t18 - 0.1e1 * t17 * t15;
  t49 = iniRefNorRO[0];
  t52 = iniRefNorRO[1];
  t55 = iniRefNorRO[2];
  t45 = t29 * t49 + t35 * t52 + t43 * t55;
  t46 = 0.1e1 + t16 + t19 + t22;
  t47 = 0.1e1 / t46;
  t48 = t47 * t45;
  t50 = t23 * t55 + t29 * t52 - t49 * t35 + t48 * t43;
  t53 = t12 * t21;
  t58 = t23 * t52 + t43 * t49 - t29 * t55 + t48 * t35;
  t61 = 0.1e1 * t13 * t50 - 0.1e1 * t53 * t58;
  t62 = cos(rtx);
  t88 = rotationAnglesRB[2];
  t63 = cos(t88);
  t90 = rotationAnglesRB[1];
  t64 = cos(t90);
  t65 = t63 * t64;
  t67 = sin(t90);
  t68 = t63 * t67;
  t91 = rotationAnglesRB[0];
  t69 = sin(t91);
  t71 = sin(t88);
  t72 = cos(t91);
  t74 = t68 * t69 - t71 * t72;
  t78 = t68 * t72 + t71 * t69;
  t101 = iniMatTanRB[0];
  t106 = iniMatTanRB[1];
  t110 = iniMatTanRB[2];
  t80 = t65 * t101 + t74 * t106 + t78 * t110;
  t81 = t80 * t12;
  t83 = 0.1e1 * t81 * t15;
  t84 = t71 * t64;
  t86 = t71 * t67;
  t89 = t86 * t69 + t63 * t72;
  t93 = t86 * t72 - t63 * t69;
  t95 = t84 * t101 + t89 * t106 + t93 * t110;
  t96 = t95 * t12;
  t98 = 0.1e1 * t96 * t18;
  t100 = t64 * t69;
  t102 = t64 * t72;
  t104 = -t67 * t101 + t100 * t106 + t102 * t110;
  t105 = t104 * t12;
  t107 = 0.1e1 * t105 * t21;
  t108 = t83 + t98 + t107;
  t133 = iniMatNorRB[0];
  t135 = iniMatNorRB[1];
  t137 = iniMatNorRB[2];
  t112 = t65 * t133 + t74 * t135 + t78 * t137;
  t113 = t108 * t112;
  t116 = t81 * t21;
  t118 = 0.1e1 * t105 * t15 - 0.1e1 * t116;
  t122 = -t67 * t133 + t100 * t135 + t102 * t137;
  t125 = 0.1e1 * t81 * t18;
  t128 = t125 - 0.1e1 * t96 * t15;
  t132 = t84 * t133 + t89 * t135 + t93 * t137;
  t138 = 0.1e1 * t96 * t21 - 0.1e1 * t105 * t18;
  t139 = t138 * t112;
  t142 = t139 + t118 * t132 + t122 * t128;
  t143 = 0.1e1 + t83 + t98 + t107;
  t144 = 0.1e1 / t143;
  t145 = t142 * t144;
  t147 = t113 + t118 * t122 - t128 * t132 + t145 * t138;
  t149 = sin(rtx);
  t152 = t118 * t112;
  t154 = t108 * t122 + t138 * t132 - t152 + t145 * t128;
  t158 = t128 * t112;
  t161 = t108 * t132 + t158 - t138 * t122 + t145 * t118;
  t166 = t12 * t15;
  t174 = 0.1e1 - t62;
  t175 = (0.1e1 * t166 * t147 + 0.1e1 * t13 * t161 + 0.1e1 * t53 * t154) * t174;
  t178 = t62 * t147 + t149 * (0.1e1 * t13 * t154 - 0.1e1 * t53 * t161) + 0.1e1 * t175 * t166;
  t184 = t23 * t49 + t35 * t55 - t43 * t52 + t48 * t29;
  t189 = 0.1e1 * t53 * t184 - 0.1e1 * t166 * t50;
  t199 = t62 * t161 + t149 * (0.1e1 * t53 * t147 - 0.1e1 * t166 * t154) + 0.1e1 * t175 * t13;
  t205 = 0.1e1 * t166 * t58 - 0.1e1 * t13 * t184;
  t215 = t62 * t154 + t149 * (0.1e1 * t166 * t161 - 0.1e1 * t13 * t147) + 0.1e1 * t175 * t53;
  t217 = t61 * t178 + t189 * t199 + t205 * t215;
  t221 = t184 * t178 + t58 * t199 + t50 * t215;
  t222 = atan2(t217, t221);
  t223 = thetax + rtx - t222;
  t224 = 0.1e1 / hL0;
  t225 = t223 * t224;
  t227 = 0.1e1 / t10 * t12;
  t228 = t227 * t18;
  t229 = t50 * t15;
  t231 = 0.1e1 * t228 * t229;
  t232 = t227 * t24;
  t235 = 0.1e1 * t14;
  t236 = t26 * t227;
  t237 = t18 * t15;
  t239 = 0.1e1 * t236 * t237;
  t240 = t28 * t227;
  t241 = t21 * t15;
  t243 = 0.1e1 * t240 * t241;
  t244 = -0.1e1 * t232 * t7 + t235 - t239 - t243;
  t247 = 0.1e1 * t236 * t241;
  t249 = 0.1e1 * t240 * t237;
  t250 = -t247 + t249;
  t254 = 0.1e1 * t20;
  t256 = 0.1e1 * t232 * t241;
  t257 = -0.1e1 * t240 * t7 + t254 + t256;
  t262 = 0.1e1 * t232 * t237;
  t265 = 0.1e1 * t17;
  t266 = -t262 + 0.1e1 * t236 * t7 - t265;
  t269 = (t250 * t49 + t257 * t52 + t266 * t55) * t47;
  t271 = t46 * t46;
  t273 = t45 / t271;
  t301 = t273 * t43;
  t277 = t244 * t55 + t250 * t52 - t257 * t49 + t269 * t43 - t301 * t244 + t48 * t266;
  t280 = t21 * t227;
  t281 = t58 * t15;
  t283 = 0.1e1 * t280 * t281;
  t317 = t273 * t35;
  t291 = t244 * t52 + t266 * t49 - t250 * t55 + t269 * t35 - t317 * t244 + t257 * t48;
  t294 = -t231 + 0.1e1 * t13 * t277 + t283 - 0.1e1 * t53 * t291;
  t296 = t80 * t227;
  t299 = 0.1e1 * t81;
  t300 = t95 * t227;
  t302 = 0.1e1 * t300 * t237;
  t303 = t104 * t227;
  t305 = 0.1e1 * t303 * t241;
  t306 = -0.1e1 * t296 * t7 + t299 - t302 - t305;
  t310 = 0.1e1 * t105;
  t312 = 0.1e1 * t296 * t241;
  t313 = -0.1e1 * t303 * t7 + t310 + t312;
  t316 = 0.1e1 * t237 * t296;
  t319 = 0.1e1 * t96;
  t320 = -t316 + 0.1e1 * t300 * t7 - t319;
  t323 = 0.1e1 * t300 * t241;
  t325 = 0.1e1 * t237 * t303;
  t326 = -t323 + t325;
  t331 = (t326 * t112 + t313 * t132 + t320 * t122) * t144;
  t333 = t143 * t143;
  t334 = 0.1e1 / t333;
  t335 = t142 * t334;
  t359 = t335 * t138;
  t339 = t306 * t112 + t313 * t122 - t320 * t132 + t331 * t138 - t359 * t306 + t145 * t326;
  t341 = t154 * t15;
  t343 = 0.1e1 * t228 * t341;
  t368 = t335 * t128;
  t351 = t306 * t122 + t326 * t132 - t313 * t112 + t331 * t128 - t368 * t306 + t145 * t320;
  t354 = t161 * t15;
  t356 = 0.1e1 * t280 * t354;
  t379 = t335 * t118;
  t364 = t306 * t132 + t320 * t112 - t326 * t122 + t331 * t118 - t379 * t306 + t145 * t313;
  t369 = t227 * t7;
  t373 = 0.1e1 * t12 * t147;
  t377 = 0.1e1 * t228 * t354;
  t381 = 0.1e1 * t280 * t341;
  t385 = (-0.1e1 * t369 * t147 + t373 + 0.1e1 * t166 * t339 - t377 + 0.1e1 * t13 * t364 - t381 + 0.1e1 * t53 * t351) * t174;
  t391 = 0.1e1 * t175 * t12;
  t392 = t62 * t339 + t149 * (-t343 + 0.1e1 * t13 * t351 + t356 - 0.1e1 * t53 * t364) + 0.1e1 * t385 * t166 - 0.1e1 * t175 * t369 + t391;
  t394 = t184 * t15;
  t396 = 0.1e1 * t280 * t394;
  t422 = t273 * t29;
  t404 = t244 * t49 + t257 * t55 - t266 * t52 + t269 * t29 - t422 * t244 + t48 * t250;
  t410 = 0.1e1 * t12 * t50;
  t413 = -t396 + 0.1e1 * t53 * t404 + 0.1e1 * t369 * t50 - t410 - 0.1e1 * t166 * t277;
  t416 = t147 * t15;
  t418 = 0.1e1 * t280 * t416;
  t424 = 0.1e1 * t12 * t154;
  t431 = t228 * t15;
  t433 = 0.1e1 * t175 * t431;
  t434 = t62 * t364 + t149 * (-t418 + 0.1e1 * t53 * t339 + 0.1e1 * t369 * t154 - t424 - 0.1e1 * t166 * t351) + 0.1e1 * t385 * t13 - t433;
  t439 = 0.1e1 * t12 * t58;
  t443 = 0.1e1 * t228 * t394;
  t446 = -0.1e1 * t369 * t58 + t439 + 0.1e1 * t166 * t291 + t443 - 0.1e1 * t13 * t404;
  t452 = 0.1e1 * t12 * t161;
  t456 = 0.1e1 * t228 * t416;
  t463 = t280 * t15;
  t465 = 0.1e1 * t175 * t463;
  t466 = t62 * t351 + t149 * (-0.1e1 * t369 * t161 + t452 + 0.1e1 * t166 * t364 + t456 - 0.1e1 * t13 * t339) + 0.1e1 * t385 * t53 - t465;
  t469 = 0.1e1 / t221;
  t471 = t221 * t221;
  t472 = 0.1e1 / t471;
  t473 = t217 * t472;
  t483 = t217 * t217;
  t486 = 0.1e1 / (0.1e1 + t483 * t472);
  t488 = t225 * ((t294 * t178 + t61 * t392 + t413 * t199 + t189 * t434 + t446 * t215 + t205 * t466) * t469 - t473 * (t404 * t178 + t184 * t392 + t291 * t199 + t58 * t434 + t277 * t215 + t50 * t466)) * t486;
  t517 = shear * t2 * radh;
  t493 = t517 * M_PI;
  t498 = t144 * t138;
  t499 = cos(thetax);
  t501 = sin(thetax);
  t509 = 0.1e1 * t166 * t184 + 0.1e1 * t13 * t58 + 0.1e1 * t53 * t50;
  t510 = 0.1e1 - t499;
  t511 = t509 * t510;
  t514 = t499 * t50 + t501 * t205 + 0.1e1 * t511 * t53;
  t521 = t499 * t58 + t501 * t189 + 0.1e1 * t511 * t13;
  t522 = t53 * t521;
  t524 = 0.1e1 * t13 * t514 - 0.1e1 * t522;
  t527 = t144 * t118;
  t532 = t499 * t184 + t501 * t61 + 0.1e1 * t511 * t166;
  t533 = t53 * t532;
  t537 = 0.1e1 * t533 - 0.1e1 * t166 * t514;
  t540 = t144 * t128;
  t545 = 0.1e1 * t166 * t521 - 0.1e1 * t13 * t532;
  t550 = t334 * t138;
  t554 = t144 * t326;
  t559 = 0.1e1 * t228 * t514 * t15;
  t565 = 0.1e1 * t12 * t184;
  t569 = 0.1e1 * t228 * t281;
  t573 = 0.1e1 * t229 * t280;
  t577 = (-0.1e1 * t369 * t184 + t565 + 0.1e1 * t166 * t404 - t569 + 0.1e1 * t13 * t291 - t573 + 0.1e1 * t53 * t277) * t510;
  t581 = 0.1e1 * t511 * t463;
  t582 = t499 * t277 + t501 * t446 + 0.1e1 * t577 * t53 - t581;
  t587 = 0.1e1 * t280 * t521 * t15;
  t593 = 0.1e1 * t511 * t431;
  t594 = t499 * t291 + t501 * t413 + 0.1e1 * t577 * t13 - t593;
  t600 = t334 * t118;
  t604 = t144 * t313;
  t607 = t532 * t15;
  t617 = 0.1e1 * t511 * t12;
  t618 = t499 * t404 + t501 * t294 + 0.1e1 * t577 * t166 - 0.1e1 * t511 * t369 + t617;
  t624 = 0.1e1 * t12 * t514;
  t630 = t128 * t334;
  t634 = t144 * t320;
  t640 = 0.1e1 * t12 * t521;
  t693 = t227 * t8;
  t698 = t21 * t18;
  t700 = 0.1e1 * t240 * t698;
  t701 = -t262 - 0.1e1 * t236 * t8 + t265 - t700;
  t704 = 0.1e1 * t236 * t698;
  t707 = -t704 + 0.1e1 * t240 * t8 - t254;
  t710 = 0.1e1 * t232 * t698;
  t711 = -t249 + t710;
  t717 = -0.1e1 * t232 * t8 + t235 + t239;
  t720 = (t707 * t49 + t711 * t52 + t717 * t55) * t47;
  t725 = t701 * t55 + t707 * t52 - t711 * t49 + t720 * t43 - t301 * t701 + t48 * t717;
  t730 = 0.1e1 * t280 * t58 * t18;
  t738 = t701 * t52 + t717 * t49 - t707 * t55 + t720 * t35 - t317 * t701 + t48 * t711;
  t741 = -0.1e1 * t693 * t50 + t410 + 0.1e1 * t13 * t725 + t730 - 0.1e1 * t53 * t738;
  t746 = 0.1e1 * t698 * t303;
  t747 = -t316 - 0.1e1 * t300 * t8 + t319 - t746;
  t750 = 0.1e1 * t296 * t698;
  t751 = -t325 + t750;
  t755 = -0.1e1 * t296 * t8 + t299 + t302;
  t758 = 0.1e1 * t300 * t698;
  t761 = -t758 + 0.1e1 * t303 * t8 - t310;
  t766 = (t761 * t112 + t751 * t132 + t755 * t122) * t144;
  t771 = t747 * t112 + t751 * t122 - t755 * t132 + t766 * t138 - t359 * t747 + t145 * t761;
  t782 = t747 * t122 + t761 * t132 - t751 * t112 + t766 * t128 - t368 * t747 + t145 * t755;
  t787 = 0.1e1 * t280 * t161 * t18;
  t795 = t747 * t132 + t755 * t112 - t761 * t122 + t766 * t118 - t379 * t747 + t145 * t751;
  t808 = 0.1e1 * t280 * t154 * t18;
  t812 = (-t456 + 0.1e1 * t166 * t771 - 0.1e1 * t693 * t161 + t452 + 0.1e1 * t13 * t795 - t808 + 0.1e1 * t53 * t782) * t174;
  t815 = t62 * t771 + t149 * (-0.1e1 * t693 * t154 + t424 + 0.1e1 * t13 * t782 + t787 - 0.1e1 * t53 * t795) + 0.1e1 * t812 * t166 - t433;
  t819 = 0.1e1 * t280 * t184 * t18;
  t827 = t701 * t49 + t711 * t55 - t717 * t52 + t720 * t29 - t422 * t701 + t48 * t707;
  t832 = -t819 + 0.1e1 * t53 * t827 + t231 - 0.1e1 * t166 * t725;
  t837 = 0.1e1 * t280 * t147 * t18;
  t848 = t62 * t795 + t149 * (-t837 + 0.1e1 * t53 * t771 + t343 - 0.1e1 * t166 * t782) + 0.1e1 * t812 * t13 - 0.1e1 * t175 * t693 + t391;
  t856 = -t569 + 0.1e1 * t166 * t738 + 0.1e1 * t693 * t184 - t565 - 0.1e1 * t13 * t827;
  t869 = t280 * t18;
  t871 = 0.1e1 * t175 * t869;
  t872 = t62 * t782 + t149 * (-t377 + 0.1e1 * t166 * t795 + 0.1e1 * t693 * t147 - t373 - 0.1e1 * t13 * t771) + 0.1e1 * t812 * t53 - t871;
  t886 = t225 * ((t741 * t178 + t61 * t815 + t832 * t199 + t189 * t848 + t856 * t215 + t205 * t872) * t469 - t473 * (t827 * t178 + t184 * t815 + t738 * t199 + t58 * t848 + t725 * t215 + t50 * t872)) * t486;
  t894 = t144 * t761;
  t909 = 0.1e1 * t280 * t50 * t18;
  t913 = (-t443 + 0.1e1 * t166 * t827 - 0.1e1 * t693 * t58 + t439 + 0.1e1 * t13 * t738 - t909 + 0.1e1 * t53 * t725) * t510;
  t917 = 0.1e1 * t511 * t869;
  t918 = t499 * t725 + t501 * t856 + 0.1e1 * t913 * t53 - t917;
  t921 = t521 * t18;
  t930 = t499 * t738 + t501 * t832 + 0.1e1 * t913 * t13 - 0.1e1 * t511 * t693 + t617;
  t939 = t144 * t751;
  t944 = 0.1e1 * t280 * t532 * t18;
  t949 = t499 * t827 + t501 * t741 + 0.1e1 * t913 * t166 - t593;
  t960 = t144 * t755;
  t963 = t227 * t15;
  t971 = 0.1e1 * t12 * t532;
  t1012 = -t256 - t704 - 0.1e1 * t240 * t9 + t254;
  t1016 = -0.1e1 * t236 * t9 + t265 + t700;
  t1020 = -t243 + 0.1e1 * t232 * t9 - t235;
  t1024 = -t710 + t247;
  t1027 = (t1016 * t49 + t1020 * t52 + t1024 * t55) * t47;
  t1032 = t1012 * t55 + t1016 * t52 - t1020 * t49 + t1027 * t43 - t301 * t1012 + t48 * t1024;
  t1035 = t227 * t9;
  t1045 = t1012 * t52 + t1024 * t49 - t1016 * t55 + t1027 * t35 - t317 * t1012 + t48 * t1020;
  t1048 = -t909 + 0.1e1 * t13 * t1032 + 0.1e1 * t1035 * t58 - t439 - 0.1e1 * t53 * t1045;
  t1052 = -t312 - t758 - 0.1e1 * t303 * t9 + t310;
  t1056 = -t305 + 0.1e1 * t296 * t9 - t299;
  t1058 = -t750 + t323;
  t1062 = -0.1e1 * t300 * t9 + t319 + t746;
  t1067 = (t1062 * t112 + t1056 * t132 + t1058 * t122) * t144;
  t1072 = t1052 * t112 + t1056 * t122 - t1058 * t132 + t1067 * t138 - t359 * t1052 + t145 * t1062;
  t1081 = t1052 * t122 + t1062 * t132 - t1056 * t112 + t1067 * t128 - t368 * t1052 + t145 * t1058;
  t1093 = t1052 * t132 + t1058 * t112 - t1062 * t122 + t1067 * t118 - t379 * t1052 + t145 * t1056;
  t1107 = (-t418 + 0.1e1 * t166 * t1072 - t787 + 0.1e1 * t13 * t1093 - 0.1e1 * t1035 * t154 + t424 + 0.1e1 * t53 * t1081) * t174;
  t1110 = t62 * t1072 + t149 * (-t808 + 0.1e1 * t1081 * t13 + 0.1e1 * t1035 * t161 - t452 - 0.1e1 * t53 * t1093) + 0.1e1 * t1107 * t166 - t465;
  t1121 = t1012 * t49 + t1020 * t55 - t1024 * t52 + t1027 * t29 - t422 * t1012 + t48 * t1016;
  t1126 = -0.1e1 * t1035 * t184 + t565 + 0.1e1 * t53 * t1121 + t573 - 0.1e1 * t166 * t1032;
  t1139 = t62 * t1093 + t149 * (-0.1e1 * t1035 * t147 + t373 + 0.1e1 * t53 * t1072 + t381 - 0.1e1 * t166 * t1081) + 0.1e1 * t13 * t1107 - t871;
  t1145 = -t283 + 0.1e1 * t166 * t1045 + t819 - 0.1e1 * t13 * t1121;
  t1158 = t62 * t1081 + t149 * (-t356 + 0.1e1 * t166 * t1093 + t837 - 0.1e1 * t13 * t1072) + 0.1e1 * t1107 * t53 - 0.1e1 * t175 * t1035 + t391;
  t1172 = t225 * ((t1048 * t178 + t61 * t1110 + t1126 * t199 + t189 * t1139 + t1145 * t215 + t205 * t1158) * t469 - t473 * (t1121 * t178 + t184 * t1110 + t1045 * t199 + t58 * t1139 + t1032 * t215 + t50 * t1158)) * t486;
  t1180 = t144 * t1062;
  t1183 = t514 * t21;
  t1197 = (-t396 + 0.1e1 * t166 * t1121 - t730 + 0.1e1 * t13 * t1045 - 0.1e1 * t1035 * t50 + t410 + 0.1e1 * t53 * t1032) * t510;
  t1202 = t499 * t1032 + t501 * t1145 + 0.1e1 * t1197 * t53 - 0.1e1 * t511 * t1035 + t617;
  t1211 = t499 * t1045 + t501 * t1126 + 0.1e1 * t1197 * t13 - t917;
  t1220 = t144 * t1056;
  t1229 = t499 * t1121 + t501 * t1048 + 0.1e1 * t1197 * t166 - t581;
  t1242 = t144 * t1058;
  t1288 = (t78 * t106 - t74 * t110) * t12;
  t1294 = (t93 * t106 - t89 * t110) * t12;
  t1300 = (t102 * t106 - t100 * t110) * t12;
  t1303 = 0.1e1 * t1288 * t15 + 0.1e1 * t1294 * t18 + 0.1e1 * t1300 * t21;
  t1307 = t78 * t135 - t74 * t137;
  t1313 = 0.1e1 * t1300 * t15 - 0.1e1 * t1288 * t21;
  t1317 = t102 * t135 - t100 * t137;
  t1323 = 0.1e1 * t1288 * t18 - 0.1e1 * t1294 * t15;
  t1327 = t93 * t135 - t89 * t137;
  t1333 = 0.1e1 * t1294 * t21 - 0.1e1 * t1300 * t18;
  t1341 = (t1333 * t112 + t138 * t1307 + t1313 * t132 + t118 * t1327 + t1323 * t122 + t128 * t1317) * t144;
  t1346 = t1303 * t112 + t108 * t1307 + t1313 * t122 + t118 * t1317 - t1323 * t132 - t128 * t1327 + t1341 * t138 - t359 * t1303 + t145 * t1333;
  t1358 = t1303 * t122 + t108 * t1317 + t1333 * t132 + t138 * t1327 - t1313 * t112 - t118 * t1307 + t1341 * t128 - t368 * t1303 + t145 * t1323;
  t1371 = t1303 * t132 + t108 * t1327 + t1323 * t112 + t128 * t1307 - t1333 * t122 - t138 * t1317 + t1341 * t118 - t379 * t1303 + t145 * t1313;
  t1383 = (0.1e1 * t166 * t1346 + 0.1e1 * t13 * t1371 + 0.1e1 * t53 * t1358) * t174;
  t1386 = t62 * t1346 + t149 * (0.1e1 * t1358 * t13 - 0.1e1 * t53 * t1371) + 0.1e1 * t1383 * t166;
  t1397 = t62 * t1371 + t149 * (0.1e1 * t53 * t1346 - 0.1e1 * t166 * t1358) + 0.1e1 * t1383 * t13;
  t1408 = t62 * t1358 + t149 * (0.1e1 * t166 * t1371 - 0.1e1 * t1346 * t13) + 0.1e1 * t1383 * t53;
  t1419 = ((t61 * t1386 + t189 * t1397 + t1408 * t205) * t469 - t473 * (t184 * t1386 + t58 * t1397 + t50 * t1408)) * t486 * t225;
  t1427 = t144 * t1333;
  t1433 = t144 * t1313;
  t1439 = t144 * t1323;
  t1470 = t69 * t106;
  t1472 = t72 * t110;
  t1475 = (-t68 * t101 + t65 * t1470 + t65 * t1472) * t12;
  t1482 = (-t86 * t101 + t84 * t1470 + t84 * t1472) * t12;
  t1486 = t67 * t69;
  t1488 = t67 * t72;
  t1491 = (-t64 * t101 - t1486 * t106 - t1488 * t110) * t12;
  t1494 = 0.1e1 * t1475 * t15 + 0.1e1 * t1482 * t18 + 0.1e1 * t1491 * t21;
  t1497 = t69 * t135;
  t1499 = t72 * t137;
  t1501 = -t68 * t133 + t65 * t1497 + t65 * t1499;
  t1507 = 0.1e1 * t1491 * t15 - 0.1e1 * t1475 * t21;
  t1512 = -t64 * t133 - t1486 * t135 - t1488 * t137;
  t1518 = 0.1e1 * t1475 * t18 - 0.1e1 * t1482 * t15;
  t1523 = -t86 * t133 + t84 * t1497 + t84 * t1499;
  t1529 = 0.1e1 * t1482 * t21 - 0.1e1 * t1491 * t18;
  t1537 = (t1529 * t112 + t138 * t1501 + t1507 * t132 + t118 * t1523 + t1518 * t122 + t128 * t1512) * t144;
  t1542 = t1494 * t112 + t108 * t1501 + t1507 * t122 + t118 * t1512 - t1518 * t132 - t128 * t1523 + t1537 * t138 - t359 * t1494 + t145 * t1529;
  t1554 = t1494 * t122 + t108 * t1512 + t1529 * t132 + t138 * t1523 - t1507 * t112 - t118 * t1501 + t1537 * t128 - t368 * t1494 + t145 * t1518;
  t1567 = t1494 * t132 + t108 * t1523 + t1518 * t112 + t128 * t1501 - t1529 * t122 - t138 * t1512 + t118 * t1537 - t379 * t1494 + t145 * t1507;
  t1579 = (0.1e1 * t166 * t1542 + 0.1e1 * t13 * t1567 + 0.1e1 * t53 * t1554) * t174;
  t1582 = t62 * t1542 + t149 * (0.1e1 * t13 * t1554 - 0.1e1 * t1567 * t53) + 0.1e1 * t1579 * t166;
  t1593 = t62 * t1567 + t149 * (0.1e1 * t53 * t1542 - 0.1e1 * t1554 * t166) + 0.1e1 * t1579 * t13;
  t1604 = t1554 * t62 + t149 * (0.1e1 * t166 * t1567 - 0.1e1 * t13 * t1542) + 0.1e1 * t1579 * t53;
  t1615 = t225 * (t469 * (t61 * t1582 + t189 * t1593 + t205 * t1604) - t473 * (t184 * t1582 + t58 * t1593 + t50 * t1604)) * t486;
  t1623 = t144 * t1529;
  t1629 = t144 * t1507;
  t1635 = t144 * t1518;
  t1667 = -t95;
  t1668 = t1667 * t12;
  t1671 = 0.1e1 * t1668 * t15 + t125;
  t1675 = -t132;
  t1677 = t21 * t122;
  t1682 = 0.1e1 * t1668 * t18 - t83;
  t1684 = t21 * t112;
  t1688 = t21 * t132;
  t1693 = (0.1e1 * t81 * t1684 + t138 * t1675 - 0.1e1 * t1668 * t1688 + t152 + t1682 * t122) * t144;
  t1699 = t1671 * t112 + t108 * t1675 - 0.1e1 * t1668 * t1677 - t1682 * t132 - t158 + t1693 * t138 - t359 * t1671 + 0.1e1 * t145 * t116;
  t1711 = t1671 * t122 + 0.1e1 * t81 * t1688 + t139 + 0.1e1 * t1668 * t1684 - t118 * t1675 + t1693 * t128 - t368 * t1671 + t145 * t1682;
  t1725 = t1671 * t132 + t113 + t1682 * t112 + t128 * t1675 - 0.1e1 * t81 * t1677 + t1693 * t118 - t379 * t1671 - 0.1e1 * t145 * t1668 * t21;
  t1737 = (0.1e1 * t166 * t1699 + 0.1e1 * t13 * t1725 + 0.1e1 * t53 * t1711) * t174;
  t1740 = t62 * t1699 + t149 * (0.1e1 * t13 * t1711 - 0.1e1 * t53 * t1725) + 0.1e1 * t1737 * t166;
  t1751 = t62 * t1725 + t149 * (0.1e1 * t53 * t1699 - 0.1e1 * t166 * t1711) + 0.1e1 * t1737 * t13;
  t1762 = t62 * t1711 + t149 * (0.1e1 * t166 * t1725 - 0.1e1 * t13 * t1699) + 0.1e1 * t1737 * t53;
  t1773 = t225 * ((t61 * t1740 + t189 * t1751 + t205 * t1762) * t469 - t473 * (t184 * t1740 + t58 * t1751 + t50 * t1762)) * t486;
  t1781 = t144 * t80;
  t1788 = t144 * t1667;
  t1795 = t144 * t1682;
  t1837 = t509 * t501;
  t1840 = -t501 * t50 + t499 * t205 + 0.1e1 * t53 * t1837;
  t1847 = -t501 * t58 + t499 * t189 + 0.1e1 * t1837 * t13;
  t1857 = -t501 * t184 + t499 * t61 + 0.1e1 * t166 * t1837;
  t1398 = young * t3 * radh * M_PI * (0.2e1 * t498 * t524 + 0.2e1 * t527 * t537 + 0.2e1 * t540 * t545);
  t1399 = t524 * t550;
  t1412 = t600 * t537;
  t1430 = t630 * t545;
  t1451 = young * t2 * radh * M_PI * (-0.2e1 * t498 * t532 - 0.2e1 * t527 * t521 - 0.2e1 * t540 * t514);
  t1452 = t532 * t550;
  t1459 = t600 * t521;
  t1466 = t630 * t514;
  isoradiusJacobian[0] = -0.2500000000e0 * t6 * t488 - 0.5000000000e0 * t493 * t488 + (0.50e0 * t1398 * (-0.2e1 * t1399 * t306 + 0.2e1 * t554 * t524 + 0.2e1 * t498 * (-t559 + 0.1e1 * t13 * t582 + t587 - 0.1e1 * t53 * t594) - 0.2e1 * t1412 * t306 + 0.2e1 * t604 * t537 + 0.2e1 * t527 * (-0.1e1 * t280 * t607 + 0.1e1 * t53 * t618 + 0.1e1 * t369 * t514 - t624 - 0.1e1 * t166 * t582) - 0.2e1 * t1430 * t306 + 0.2e1 * t634 * t545 + 0.2e1 * t540 * (-0.1e1 * t369 * t521 + t640 + 0.1e1 * t166 * t594 + 0.1e1 * t228 * t607 - 0.1e1 * t13 * t618)) + 0.150e1 * t1451 * (0.2e1 * t1452 * t306 - 0.2e1 * t554 * t532 - 0.2e1 * t498 * t618 + 0.2e1 * t1459 * t306 - 0.2e1 * t604 * t521 - 0.2e1 * t527 * t594 + 0.2e1 * t1466 * t306 - 0.2e1 * t634 * t514 - 0.2e1 * t582 * t540)) * t224 / 0.2e1;
  isoradiusJacobian[1] = -0.2500000000e0 * t6 * t886 - 0.5000000000e0 * t493 * t886 + (0.50e0 * t1398 * (-0.2e1 * t1399 * t747 + 0.2e1 * t894 * t524 + 0.2e1 * t498 * (-0.1e1 * t693 * t514 + t624 + 0.1e1 * t13 * t918 + 0.1e1 * t280 * t921 - 0.1e1 * t53 * t930) - 0.2e1 * t1412 * t747 + 0.2e1 * t939 * t537 + 0.2e1 * t527 * (-t944 + 0.1e1 * t53 * t949 + t559 - 0.1e1 * t166 * t918) - 0.2e1 * t1430 * t747 + 0.2e1 * t960 * t545 + 0.2e1 * t540 * (-0.1e1 * t963 * t921 + 0.1e1 * t166 * t930 + 0.1e1 * t693 * t532 - t971 - 0.1e1 * t13 * t949)) + 0.150e1 * t1451 * (0.2e1 * t1452 * t747 - 0.2e1 * t894 * t532 - 0.2e1 * t498 * t949 + 0.2e1 * t1459 * t747 - 0.2e1 * t939 * t521 - 0.2e1 * t527 * t930 + 0.2e1 * t1466 * t747 - 0.2e1 * t960 * t514 - 0.2e1 * t540 * t918)) * t224 / 0.2e1;
  isoradiusJacobian[2] = -0.2500000000e0 * t6 * t1172 - 0.5000000000e0 * t493 * t1172 + (0.50e0 * t1398 * (-0.2e1 * t1399 * t1052 + 0.2e1 * t1180 * t524 + 0.2e1 * t498 * (-0.1e1 * t228 * t1183 + 0.1e1 * t13 * t1202 + 0.1e1 * t1035 * t521 - t640 - 0.1e1 * t53 * t1211) - 0.2e1 * t1412 * t1052 + 0.2e1 * t1220 * t537 + 0.2e1 * t527 * (-0.1e1 * t1035 * t532 + t971 + 0.1e1 * t53 * t1229 + 0.1e1 * t963 * t1183 - 0.1e1 * t166 * t1202) - 0.2e1 * t1430 * t1052 + 0.2e1 * t1242 * t545 + 0.2e1 * t540 * (-t587 + 0.1e1 * t166 * t1211 + t944 - 0.1e1 * t1229 * t13)) + 0.150e1 * t1451 * (0.2e1 * t1452 * t1052 - 0.2e1 * t1180 * t532 - 0.2e1 * t498 * t1229 + 0.2e1 * t1052 * t1459 - 0.2e1 * t1220 * t521 - 0.2e1 * t527 * t1211 + 0.2e1 * t1466 * t1052 - 0.2e1 * t1242 * t514 - 0.2e1 * t540 * t1202)) * t224 / 0.2e1;
  isoradiusJacobian[3] = -0.2500000000e0 * t6 * t1419 - 0.5000000000e0 * t493 * t1419 + (0.50e0 * t1398 * (-0.2e1 * t1399 * t1303 + 0.2e1 * t1427 * t524 - 0.2e1 * t1412 * t1303 + 0.2e1 * t1433 * t537 - 0.2e1 * t1430 * t1303 + 0.2e1 * t1439 * t545) + 0.150e1 * t1451 * (0.2e1 * t1452 * t1303 - 0.2e1 * t1427 * t532 + 0.2e1 * t1459 * t1303 - 0.2e1 * t1433 * t521 + 0.2e1 * t1466 * t1303 - 0.2e1 * t1439 * t514)) * t224 / 0.2e1;
  isoradiusJacobian[4] = -0.2500000000e0 * t6 * t1615 - 0.5000000000e0 * t493 * t1615 + (0.50e0 * t1398 * (-0.2e1 * t1399 * t1494 + 0.2e1 * t1623 * t524 - 0.2e1 * t1412 * t1494 + 0.2e1 * t1629 * t537 - 0.2e1 * t1430 * t1494 + 0.2e1 * t1635 * t545) + 0.150e1 * t1451 * (0.2e1 * t1452 * t1494 - 0.2e1 * t532 * t1623 + 0.2e1 * t1459 * t1494 - 0.2e1 * t1629 * t521 + 0.2e1 * t1466 * t1494 - 0.2e1 * t1635 * t514)) * t224 / 0.2e1;
  isoradiusJacobian[5] = -0.2500000000e0 * t6 * t1773 - 0.5000000000e0 * t493 * t1773 + (0.50e0 * t1398 * (-0.2e1 * t1399 * t1671 + 0.2e1 * t1781 * t53 * t524 - 0.2e1 * t1412 * t1671 - 0.2e1 * t1788 * t53 * t537 - 0.2e1 * t1430 * t1671 + 0.2e1 * t1795 * t545) + 0.150e1 * t1451 * (0.2e1 * t1452 * t1671 - 0.2e1 * t1781 * t533 + 0.2e1 * t1459 * t1671 + 0.2e1 * t1788 * t522 + 0.2e1 * t1466 * t1671 - 0.2e1 * t1795 * t514)) * t224 / 0.2e1;
  isoradiusJacobian[6] = 0.2500000000e0 * t5 * t4 * t223 * t224 + 0.5000000000e0 * t517 * M_PI * t223 * t224 + (0.50e0 * t1398 * (0.2e1 * t498 * (0.1e1 * t13 * t1840 - 0.1e1 * t53 * t1847) + 0.2e1 * t527 * (0.1e1 * t53 * t1857 - 0.1e1 * t166 * t1840) + 0.2e1 * t540 * (0.1e1 * t166 * t1847 - 0.1e1 * t13 * t1857)) + 0.150e1 * t1451 * (-0.2e1 * t498 * t1857 - 0.2e1 * t527 * t1847 - 0.2e1 * t540 * t1840)) * t224 / 0.2e1;
}
